# class Raven::Processor

### Constants

INT_MASK
REGEX_SPECIAL_CHARACTERS
STRING_MASK

### Public Class Methods

new(client = nil) click to toggle source

    # File lib/raven/processor.rb, line 7
    def initialize(client = nil)
      @client = client
    end

### Public Instance Methods

process(_data) click to toggle source

    # File lib/raven/processor.rb, line 11
    def process(_data)
      raise NotImplementedError
    end